Probleme bei Installation: Erkennt MySQL als MariaDB

  • Affected Version
    WoltLab Suite 3.0

    Ich bekomme bei der Installation folgende Fehlermeldung:


    Beim Verbindungsversuch mit der Datenbank ist folgender Fehler aufgetreten:

    Insufficient MariaDB version '5.5.52'. Version '10.0.22' or greater is needed.


    Es ist MySQL 5.5.52 auf Plesk Onyx 17.5 installiert.


    Was kann man tun?

  • Sicher? Was ist denn das Trägersystem unter Deinem "Plesk"? Vielleicht CentOS 7.x? CentOS7 mit Plesk Onyx (17.5) ist eine recht verbreitete Kombination; und zufälliger Weise ist MaridDB 5.5.52 das "default" in der CentOS7 repository.


    Gibt doch mal show global variables like "version%"; im SQL-Interface der Datenbank ein.

    Steht da wirklich MySQL oder nicht doch vielleicht MariaDB? ;)


    Und was Du dagegen tun kannst? Wenn es nur ein Webspace ist kannst Du mit dem Hoster sprechen, welche Optionen er für Dich hat eine neuere DB zu erhalten...


    Wenn es Dein vServer ist; dann kannst Du natürlich einfach MariaDB 10.1.x installieren. Vorher ein "Full Backup" vom vServer machen; anschließend einfach das entsprechende Repository für MariaDB 10.1.x einbinden; und dann ein yum update machen.


    P.S.: Ja, es geht... man kann auf einem vServer mit Plesk Onyx "im laufenden Betrieb" die MariaDB von 5.5.x auf 10.1.x heben; das überlebt in der Regel auch das Plesk und der Rest vom System. Trotzdem ist es ein Risiko, daher vorher unbedingt das "full backup" bzw. "snapshot" - je nachdem welche Möglichkeiten Du hast.

    Edited 7 times, last by Barungar ().

  • Das ist MySQL 5.5.52, sagt ja schon die Versionsnummer aus. Warum das sich dann als MariaDB ausgibt, gute Frage. Es ist Plesk Onyx mit CentOS7.


    Überall in Plesk steht MySQL. Paket ist mysql 5.5.52-1.el7.


    Aber in phpMyAdmin steht


    • Server: Localhost via UNIX socket
    • Server-Typ: MariaDB
    • Server-Version: 5.5.52-MariaDB - MariaDB Server
    • Protokoll-Version: 10
    • Benutzer: wcf@localhost
    • Server-Zeichensatz: UTF-8 Unicode (utf8)

    Also stellt sich das so dar, dass MySQL 5.5.52 installiert ist, sich als MariaDB zu erkennen gibt, oder?


    Folgendes steht bei der Datenbankserververwaltung in Plesk:


    Hostname oder IP-Adresse * localhost

    Portnummer (lokale Verbindung)

    Datenbankserver-Version 5.5.52

    Datenbankservertyp MySQL

    Diesen Server als Standard für MySQL verwenden

    Edited once, last by mateso ().

  • Nö es ist definitiv MariaDB installiert. Ich nutze selber Plesk Onyx mit Centos 7 auf einem VCloud-Server.

    In der Grundversion ist 5.5.x installiert.

    Warum das Plesk anders anzeigt hab ich bis heute nicht verstanden.......

  • Das ist MySQL 5.5.52, sagt ja schon die Versionsnummer aus. Warum das sich dann als MariaDB ausgibt, gute Frage. Es ist Plesk Onyx mit CentOS7.


    Nein, ist es nicht... :) Weil CentOS7 eben nicht MySQL ausliefert sondern MariaDB 5.5.52... das steht so auch im Standard-Repository.


    Also stellt sich das so dar, dass MySQL 5.5.52 installiert ist, sich als MariaDB zu erkennen gibt, oder?

    Nein, es ist MariaDB installiert und gibt sich als MariaDB zu erkennen... was nicht korrekt ist, sind die Anzeigen im Plesk!

    Glaub uns einfach, wenn wir Dir sagen, dass Du MariaDB 5.5.52 installiert hast; und damit kannst Du das WSC nicht installieren.


    Du wirst also Updaten (lassen) müssen.

  • Leider läuft die Installation dann schief. Es kommt dann ja Core wird installiert und er bleibt bei 1% stehen und nach kurzer Zeit kommt folgende Fehlermeldung:



  • <<<<<<<<5cf7cb3a43543b3d27b5ea3d1d80f93f4fbff726<<<<

    Wed, 12 Jul 2017 14:30:46 +0000

    Message: Use of undefined constant SESSION_ENABLE_VIRTUALIZATION - assumed 'SESSION_ENABLE_VIRTUALIZATION'

    PHP version: 5.6.31

    WoltLab Suite version: 3.0.5

    Request URI: /

    Referrer:

    User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36

    Peak Memory Usage: 1532152/134217728

    ======

    Error Class: wcf\system\exception\ErrorException

    Error Message: Use of undefined constant SESSION_ENABLE_VIRTUALIZATION - assumed 'SESSION_ENABLE_VIRTUALIZATION'

    Error Code: 0

    File: /var/www/vhosts/test.de/partnerforum.test.de/lib/system/WCF.class.php (299)

    Extra Information: -

    Stack Trace: [{"file":"\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/lib\/data\/session\/Session.class.php","line":31,"function":"handleError","class":"wcf\\system\\WCF","type":"::","args":[8,"Use of undefined constant SESSION_ENABLE_VIRTUALIZATION - assumed 'SESSION_ENABLE_VIRTUALIZATION'","\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/lib\/data\/session\/Session.class.php",31,[]]},{"function":"supportsVirtualSessions","class":"wcf\\data\\session\\Session","type":"::","args":[],"file":"[internal function]","line":"?"},{"file":"\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/lib\/system\/session\/SessionHandler.class.php","line":231,"function":"call_user_func","args":[["[redacted]","[redacted]"]],"class":"","type":""},{"file":"\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/lib\/system\/session\/ACPSessionFactory.class.php","line":34,"function":"load","class":"wcf\\system\\session\\SessionHandler","type":"->","args":["wcf\\data\\session\\SessionEditor",""]},{"file":"\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/lib\/system\/WCF.class.php","line":351,"function":"load","class":"wcf\\system\\session\\ACPSessionFactory","type":"->","args":[]},{"file":"\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/lib\/system\/WCF.class.php","line":150,"function":"initSession","class":"wcf\\system\\WCF","type":"->","args":[]},{"file":"\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/global.php","line":13,"function":"__construct","class":"wcf\\system\\WCF","type":"->","args":[]},{"file":"\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/index.php","line":8,"args":["\/var\/www\/vhosts\/test.de\/partnerforum.test.de\/global.php"],"function":"require_once","class":"","type":""}]

    <<<<

  • Dein zuletzt geposteter Fehler liegt an der abgebrochenen Installation. Setze max_execution_time und das Timeout vom Apache/nginx höher und starte die Installation erneut.

  • PHP-Version 7.1.7
    MySQL-Version10.0.30-MariaDB-0+deb8u2


    käuft bestens Maria DB wird im Plesk aber immer als MYSQL angezeigt bzw es ist ja im grunde das selbe